Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 198330

Summary: Request to publish jVi (vi/vim) for NetBeans 7.0 plugin on Stable 6.9.1 UC
Product: updatecenters Reporter: err <err>
Component: StableAssignee: Petr Jiricka <pjiricka>
Status: RESOLVED FIXED QA Contact: Autoupdate Masters <aumasters>
Priority: P3 CC: jkovalsky
Version: 6.x   
Target Milestone: 7.0   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: TASK Exception Report:
Bug Depends on:    
Bug Blocks: 179047    

Description err 2011-05-04 23:24:36 UTC
Version: 6.9.1
Type: Stable

Module: jVi (vi/vim) for NetBeans 7.0
License: none (the module is only an update center)
Description: This plugin simply registers an update center through which nb7.0 jVi and related modules can be picked up.

NOTE: for NB-7.0 (release not listed on this form)
NOTE: selected \"Stable\" but maybe 3rd party, is open source.

Username: err
Company: Raelity Engineering

Plugin tested: yes
No P1 defects: yes
No P2 defects: yes
Internationalized: yes
Translate: no
3rd party code: no
Patentable: no
Encryption/security: no
URL: http://sourceforge.net/projects/jvi/files/jVi-for-NetBeans/NetBeans-7.0/UC/com-raelity-jvi-uc-nb70.nbm
Goal: There have been many requests for this. Well over 10,000 downloads for 6.9
Documentation: http://jvi.sourceforge.net
Marketing: word of mouth

NOTE: for NB-7.0 (release not listed on this form)
Comment 1 err 2011-05-04 23:27:23 UTC
http://netbeans.org/community/guidelines/au-request-form.html is where I filled in the form. That page is out of date.
Comment 2 Jiri Kovalsky 2011-05-05 08:47:21 UTC
Ernie, that form is only for NetBeans versions up to 6.9. In 7.0 we consolidated Update Centers and the recommended way is to publish plugin(s) on the Plugin Portal and ask for verification(s) which will get the plugin(s) to the Plugin Portal Update Center which is already registered in the standard distribution of the NetBeans IDE.

It's up to Petr though how this request will be resolved.
Comment 3 Petr Jiricka 2011-05-05 11:38:49 UTC
I agree with Jirka - Ernie, can you please use the plugin portal and request verification against 7.0?

I also agree that the form is out of date - the page should stress that this is a legacy mechanism used for previous NetBeans releases, and for 7.0 the plugin portal is the right avenue.
Comment 4 err 2011-05-05 13:52:17 UTC
> use the plugin portal and request
> verification against 7.0?

Will do. I was confused; this form was recommended and I was in the middle of getting a release for 7.0 ready...

This brings up an issue for me. Version handling. Typically a separate release of jVi is required for each NB release, nb65/nb67 was the only exception. Following the pattern of publishing an update center, going forward I guess I'll have the plugins
    jVi for nb7.0 UC
    jVi for nb7.1 UC
etc.

Will all of these show up in the plugin list on a users system?
Comment 5 Petr Jiricka 2011-05-06 07:53:17 UTC
If you upload a new version and only request verification for 7.0, then the previous version will continue to be available to 6.9 users, and the newly uploaded version will be visible to 7.0 users. So I think we are fine in this respect. Still, I agree the version management on the plugin portal could be improved - there is issue #198001 filed for this.
Comment 6 Jiri Kovalsky 2011-05-06 12:30:30 UTC
What Petr wrote is correct but only for users installing your plugin from the Plugin Portal Update Center via built-in Plugins manager. If you upload new binary it will replace the previous version available from the web browser. The old version will remain published on the Plugin Portal Update Center until you ask for new verification.

We are looking into ways how to solve the plugin versioning issue. If the above workaround is not usable for you the clearest solution would be to publish multiple entries in the Plugin Portal for different NetBeans versions.

Besides, I have updated the UC process description [1] in the Wiki so hopefully, nobody else will use the AUC form for NetBeans 7.0 and newer. I am marking this issue as FIXED. If you want, please add your comments to issue #198001.
Comment 7 Jiri Kovalsky 2011-05-06 12:38:49 UTC
[1] http://wiki.netbeans.org/UpdateCenterProcess
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo